> ## Documentation Index
> Fetch the complete documentation index at: https://agno-v2-studio-tools-doc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Approval



## OpenAPI

````yaml /reference-api/openapi.yaml post /approvals/{approval_id}/resolve
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.5.6
servers: []
security: []
paths:
  /approvals/{approval_id}/resolve:
    post:
      tags:
        - Approvals
      summary: Resolve Approval
      operationId: resolve_approval_approvals__approval_id__resolve_post
      parameters:
        - name: approval_id
          in: path
          required: true
          schema:
            type: string
            title: Approval Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApprovalResolve'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovalResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApprovalResolve:
      properties:
        status:
          type: string
          pattern: ^(approved|rejected)$
          title: Status
        resolved_by:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Resolved By
        resolution_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Resolution Data
      type: object
      required:
        - status
      title: ApprovalResolve
      description: Request body for resolving (approve/reject) an approval.
    ApprovalResponse:
      properties:
        id:
          type: string
          title: Id
        run_id:
          type: string
          title: Run Id
        session_id:
          type: string
          title: Session Id
        status:
          type: string
          title: Status
        source_type:
          type: string
          title: Source Type
        approval_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Approval Type
        pause_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Pause Type
        tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Name
        tool_args:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tool Args
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Id
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        schedule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule Id
        schedule_run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule Run Id
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        requirements:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Requirements
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        resolution_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Resolution Data
        resolved_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved By
        resolved_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Resolved At
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At
        run_status:
          anyOf:
            - $ref: '#/components/schemas/RunStatus'
            - type: 'null'
      type: object
      required:
        - id
        - run_id
        - session_id
        - status
        - source_type
      title: ApprovalResponse
      description: Response model for a single approval.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RunStatus:
      type: string
      enum:
        - PENDING
        - RUNNING
        - COMPLETED
        - PAUSED
        - CANCELLED
        - ERROR
      title: RunStatus
      description: State of the main run response
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````